package io.renren.modules.app.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.entity.Cxtj_CxtjCfzhEntity;
import io.renren.modules.app.entity.Cxtj_CxtjCqrbgEntity;
import io.renren.modules.app.entity.Cxtj_CxtjCsbEntity;
import io.renren.modules.app.entity.Cxtj_CxtjFwbgEntity;
import io.renren.modules.app.entity.Cxtj_CxtjFwwxqkEntity;
import io.renren.modules.app.entity.Cxtj_CxtjGgsyfpEntity;
import io.renren.modules.app.entity.Cxtj_CxtjJkcxEntity;
import io.renren.modules.app.entity.Cxtj_CxtjTyEntity;
import io.renren.modules.app.entity.Cxtj_CxtjZqcxEntity;
import io.renren.modules.app.entity.Cxtj_CxtjZzcxEntity;
import io.renren.modules.app.entity.Cxtj_FhmxzEntity;
import io.renren.modules.app.entity.Cxtj_GrjcHstjEntity;
import io.renren.modules.app.entity.Cxtj_GrjcJcybEntity;
import io.renren.modules.app.entity.Cxtj_GrjcqkEntity;

/**
 * 查询统计 -分户明细账
 *
 * @author wt
 * @email 1271428398@qq.com
 * @date 2019-04-19 00:00:00
 */
public interface Cxtj_FhmxzService extends IService<Cxtj_FhmxzEntity> {

	/**
	 * 分页模糊查询
	 * 
	 * @param pageNum
	 * @param pageSize
	 * @param xmEntity
	 * @return
	 */
	PageInfo<Cxtj_FhmxzEntity> queryByPage(Integer pageNum, Integer pageSize, Cxtj_FhmxzEntity cxtj_FhmxzEntity);

	PageInfo<Cxtj_GrjcqkEntity> queryGrjcqkPage(Integer pageNum, Integer pageSize, Cxtj_GrjcqkEntity cxtj_GrjcqkEntity);

	PageInfo<Cxtj_GrjcHstjEntity> queryGrjcHstjPage(Integer pageNum, Integer pageSize,Cxtj_GrjcHstjEntity cxtj_GrjcHstjEntity);

	Map<String, Object> queryGrjcJcybPage(Integer pageNum, Integer pageSize,Cxtj_GrjcJcybEntity cxtj_GrjcJcybEntity);
	
	PageInfo<Cxtj_CxtjZzcxEntity> queryCxtjZzcxPage(Integer pageNum, Integer pageSize,Cxtj_CxtjZzcxEntity cxtj_CxtjZzcxEntity);
	
	PageInfo<Cxtj_CxtjZqcxEntity> queryCxtjZqcxPage(Integer pageNum, Integer pageSize,Cxtj_CxtjZqcxEntity cxtj_CxtjZqcxEntity);
	
	PageInfo<Cxtj_CxtjJkcxEntity> queryCxtjJkcxPage(Integer pageNum, Integer pageSize,Cxtj_CxtjJkcxEntity cxtj_CxtjJkcxEntity);

	PageInfo<Cxtj_FhmxzEntity> queryKfxm(Cxtj_FhmxzEntity cxtj_FhmxzEntity);

	PageInfo<Cxtj_FhmxzEntity> queryLymc(Cxtj_FhmxzEntity cxtj_FhmxzEntity);

	PageInfo<Cxtj_FhmxzEntity> queryFwxx(Cxtj_FhmxzEntity cxtj_FhmxzEntity);
	
	PageInfo<Cxtj_CxtjTyEntity> queryTyXqPage(Integer pageNum, Integer pageSize,Cxtj_CxtjTyEntity cxtj_CxtjTyEntity);
	
	PageInfo<Cxtj_CxtjTyEntity> queryTyXmPage(Integer pageNum, Integer pageSize,Cxtj_CxtjTyEntity cxtj_CxtjTyEntity);
	
	PageInfo<Cxtj_CxtjTyEntity> queryTyLyPage(Integer pageNum, Integer pageSize,Cxtj_CxtjTyEntity cxtj_CxtjTyEntity);
	
	PageInfo<Cxtj_CxtjTyEntity> queryTySyxmPage(Integer pageNum, Integer pageSize,Cxtj_CxtjTyEntity cxtj_CxtjTyEntity);
	
	PageInfo<Cxtj_CxtjTyEntity> queryTyHyxxPage(Integer pageNum, Integer pageSize,Cxtj_CxtjTyEntity cxtj_CxtjTyEntity);
	
	PageInfo<Cxtj_CxtjFwwxqkEntity> queryCxtjFwwxqkPage(Integer pageNum, Integer pageSize,Cxtj_CxtjFwwxqkEntity cxtj_CxtjFwwxqkEntity);
	
	PageInfo<Cxtj_CxtjGgsyfpEntity> queryCxtjGgsyfpPage(Integer pageNum, Integer pageSize,Cxtj_CxtjGgsyfpEntity cxtj_CxtjGgsyfpEntity);
	
	PageInfo<Cxtj_CxtjCqrbgEntity> queryCxtjCqrbgPage(Integer pageNum, Integer pageSize,Cxtj_CxtjCqrbgEntity cxtj_CxtjCqrbgEntity);
	
	PageInfo<Cxtj_CxtjCsbEntity> queryCxtjCsbPage(Integer pageNum, Integer pageSize,Cxtj_CxtjCsbEntity cxtj_CxtjCsbEntity);
	
	PageInfo<Cxtj_CxtjCfzhEntity> queryCxtjCfzhPage(Integer pageNum, Integer pageSize,Cxtj_CxtjCfzhEntity cxtj_CxtjCfzhEntity);
	
	PageInfo<Cxtj_CxtjFwbgEntity> queryCxtjFwbgPage(Integer pageNum, Integer pageSize,Cxtj_CxtjFwbgEntity cxtj_CxtjFwbgEntity);
	
}
